$!
$! Setup script for GNV utilities
$!
$ thisproc = f$environment("PROCEDURE")
$ thisdir = f$parse("A.B;1",thisproc,,,"no_conceal") - "A.B;1" - "]["
$ thisroot = f$parse(thisdir - "]" + ".-]") - "].;" + ".]"
$ if f$verify() then show symbol /local this*
$!
$! Define logical GNU to refer to the area containing this file.
$!
$ define/job/tran=(concealed,terminal) GNU 'thisroot'
$!
$! Add GNU:[BIN] to path if it's not already there.
$!
$ call add_path DCL$PATH GNV$GNU:[bin]
$ call add_path VAXC$PATH GNV$GNU:[bin]
$!
$! Some hacks: Logicals needed until the binaries in GNV can be fixed.
$!
$! Defining these in the system table as in past versions of GNV will
$! break other applications.  As it is, the BIN logical will prevent
$! Perl from functioning correctly.
$!
$!
$if f$trnlnm("BIN") .eqs. ""
$then
$   define bin gnv$gnu:[bin]
$endif
$!
$if f$trnlnm("GNU") .eqs. ""
$then
$   define gnu gnv$gnu:
$endif
$!
$if f$trnlnm("SYS$POSIX_ROOT") .eqs. ""
$then
$   define SYS$POSIX_ROOT: gnv$gnu:
$endif
$!
$!
$! Set up "VI" command.
$ define/job VI_SECTION GNV$GNU:[lib]VI_SECTION.TPU$SECTION
$
$! Define BASH
$ bash :== $GNV$GNU:[bin]bash
$
$ exit
$
$add_path: subroutine
$!	P1 	path to add to
$!	P2 	string to add to it
$
$ pathname = p1
$ add = p2
$ i = 0
$ new_path = ""
$ path_loop:
$    path = f$trnlnm (pathname, , i)
$    i = i + 1
$    if path .eqs. "" then goto end_path
$    if f$edit(path,"TRIM,UPCASE") .eqs. add then goto skip_path
$    new_path = new_path + "," + path
$    goto path_loop
$ end_path:
$    new_path = new_path + "," + add - ","
$    define 'pathname' 'new_path'
$ skip_path:
$ exit
$endsubroutine
